
Figure - Bug #117588
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】连接中控播放音乐，副屏播放视频，再回中控播放音乐，中控和副屏同时出声
2023-04-20 15:58 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-20

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304190056

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305050011

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: Gallery3d APP ADD AudioFocusControl

Description

【前提条件】

1、设备与中控连接

【测试步骤】

1、连接中控播放音乐

2、副屏播放视频

3、再回中控播放音乐

【预期结果】

2、副屏视频出声、中控音乐暂停

3、中控音乐出声

【实际结果】

2、副屏视频出声

3、中控和副屏同时出声

【备注】

中控播放电台、音乐、U盘播放音乐等情况下，副屏播放视频都有此现象

History

#1 - 2023-04-20 19:31 - Multimedia组-RD3_TSCD 梁卿山

Hi all,

这个问题是应用本身逻辑不对导致的。

com.android.gallery3d这个应用，申请焦点和释放焦点的逻辑是放在com.android.gallery3d.app.MovieActivity中的，当该Activity生命周期处于onStart时申请音

频焦点,当生命周期处于onStop时释放焦点。

且申请和释放时都没有设置OnAudioFocusChangeListener，没有对音频焦点的切换做出对应的处理，导致了问题的产生。

正确的做法应该是在视频实际播放或暂停时，申请或者是放焦点。并且注册对应监听，当焦点切换时做出对应的处理。

#2 - 2023-04-23 16:00 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

195541 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: MediaFocusControl PackageName controlMediaFocusControl PackageName controlTC-RID: 0301-0900116IssueID: TS-R-DF-117588Change-Id:

Ia478331e5e24c165239b7f600a1d6b65a89ae7f2

#3 - 2023-04-23 16:00 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

195543 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Gallery3d APP ADD AudioFocusControlGallery3d APP ADD AudioFocusControlTC-RID: 0301-0900116IssueID: TS-R-DF-117588Change-Id:

Ia325265d73e8df0ab97d7e68cd36f18dee36ce07

#4 - 2023-04-23 16:04 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to Gallery3d APP ADD AudioFocusControl

HI 永红

该问题的修复代码已经投入，请使用4/23日后的版本验证，谢谢！

#5 - 2023-05-05 11:52 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305050011

5.5

验证通过

#6 - 2023-05-05 11:53 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100
